AR开发教程:使用Unity入门开发ARCore

VRJ 2018-01-31 17:41:41

ARCore SDK目前仅支持搭载Android 7.0 Nougat及以上版本系统的Google Pixel、Pixel XL及Samsung Galaxy S8设备,需要使用Unity 2017.2b9及以上版本,且Android API SDK版本在v24及以上。

首先,下载ARCore SDK预览版,使用该SDK需下载Unity 2017.2b9,且Android API SDK版本为v24及以上。

接着在Unity中设置ARCore SDK的步骤如下:

下载并导入ARCore SDK for Unity插件到Unity项目;

在目标设备上安装Google ARCore服务;

在Player Settings(Edit > Project Settings > Player)的Android标签下,勾选XR Settings下的Tango Supported;

AR开发

在Other Settings下,确保取消勾选Multithreaded Rendering,并将Minimum API Level设为24:

AR开发

以上步骤设置完毕后,可以打开Assets > GoogleARCore > HelloARExample > Scenes下的HelloAR示例场景,将该场景加入构建列表,然后连接设备构建后运行,可以看到设备移动时,应用会自动检测平面并绘制点阵网格,点击网格即可在上方放置一个Android机器人。

AR开发

现在就可以开始使用Unity与ARCore来为Android设备开发应用了!立即下载Unity 2017.2b9,抢先体验ARCore开发!

随着ARCore的出现,相信移动AR将离我们的日常生活越来越近。Unity也会不断努力为大家提供最新的功能与工具来开发ARVR应用,同时我们也希望能够看到社区开发者们使用Unity引擎创造出无与伦比的ARVR体验!

99VR视界二维码
热门推荐
Hot Recommended
在线客服